changeset 1811:f326dbd73bee draft

Rename SIMPLE_ROOT_OVERLAY to ROOT_OVERLAY since simple-root-filesystem became root-filesystem.
author Rob Landley <rob@landley.net>
date Thu, 12 Nov 2015 07:54:10 -0600
parents 3a66b5554d1e
children acaa88463c0c
files config root-filesystem.sh
diffstat 2 files changed, 6 insertions(+), 5 deletions(-) [+]
line wrap: on
line diff
--- a/config	Thu Nov 05 11:13:36 2015 -0600
+++ b/config	Thu Nov 12 07:54:10 2015 -0600
@@ -124,10 +124,10 @@
 # export ALLOW_PATCH_FAILURE=1
 
 # If this is set, it's points to a directory containing additional files to
-# copy into the simple-root-filesystem. The path is either absolute or
+# copy into the root-filesystem. The path is either absolute or
 # relative to the aboriginal topdir.
 
-# export SIMPLE_ROOT_OVERLAY="overlay"
+# export ROOT_OVERLAY="overlay"
 
 # Build more things in parallel.
 
--- a/root-filesystem.sh	Thu Nov 05 11:13:36 2015 -0600
+++ b/root-filesystem.sh	Thu Nov 12 07:54:10 2015 -0600
@@ -11,7 +11,8 @@
 check_for_base_arch || exit 0
 check_prerequisite "${ARCH}-cc"
 
-# Determine which directory layout we're using
+# Source control isn't good at storing empty directories, so create
+# directory layout and apply permissions changes.
 
 mkdir -p "$STAGE_DIR"/{tmp,proc,sys,dev,home,mnt,root} &&
 chmod a+rwxt "$STAGE_DIR/tmp" || dienow
@@ -38,10 +39,10 @@
 # If user specified different files to put in the root filesystem, add them.
 # (This overwrites existing files.)
 
-if [ ! -z "$SIMPLE_ROOT_OVERLAY" ]
+if [ ! -z "$ROOT_OVERLAY" ]
 then
   cd "$TOP"
-  tar -c -C "$SIMPLE_ROOT_OVERLAY" . | tar -x -C "$STAGE_DIR" || dienow
+  tar -c -C "$ROOT_OVERLAY" . | tar -x -C "$STAGE_DIR" || dienow
 fi
 
 # Build toybox